# Kettle
Kettle is a zero dependency build system for HLSL, and GLSL shaders.

## About
Kettle is a build system for shaders. It takes in a build script, compiles the shaders, and prints a "registry" to standard error
This registry file contains information on how to find the compiled shaders, relative to the build folder.

## Usage
```
# Pipe stdout to /dev/null and stderr to Shaders.krg
./kettle kettle.in > /dev/null 2> Shaders.krg

cat Shaders.krg
// Kettle shader registry file

$Format SPIRV

$ShaderList Vertex
    $Shader HDR.bin
    $Shader Shadows.bin
    $Shader WorldShader.bin
$EndShaderList
```
